summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2014-11-29 01:05:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-29 01:05:11 +0700
commit4aa4962c4694b65952ef5717b483780bad0bf47a (patch)
treed676acf6a7c97ad534c5755992e98fe63b9562a7 /desktop
parent6213373b8615c23d21bb9db5e3a218e2cb726680 (diff)
downloadslackbuilds-4aa4962c4694b65952ef5717b483780bad0bf47a.tar.gz
slackbuilds-4aa4962c4694b65952ef5717b483780bad0bf47a.tar.xz
desktop/wmcube: Added (dockapp).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmcube/README7
-rw-r--r--desktop/wmcube/slack-desc19
-rw-r--r--desktop/wmcube/wmcube.SlackBuild79
-rw-r--r--desktop/wmcube/wmcube.info10
4 files changed, 115 insertions, 0 deletions
diff --git a/desktop/wmcube/README b/desktop/wmcube/README
new file mode 100644
index 0000000000..bd52af3120
--- /dev/null
+++ b/desktop/wmcube/README
@@ -0,0 +1,7 @@
+wmcube is a dockapp displaying a realtime rotating 3D object (plugin)
+together with the current CPU load. The speed of the rotation
+depends on the CPU load. You may choose between seven color schemes
+including default monochrome one.
+
+The program includes a collection of the plugins including three
+Slackware logos.
diff --git a/desktop/wmcube/slack-desc b/desktop/wmcube/slack-desc
new file mode 100644
index 0000000000..4adfddb589
--- /dev/null
+++ b/desktop/wmcube/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmcube: wmcube (dockapp)
+wmcube:
+wmcube: wmcube is a dockapp displaying a realtime rotating 3D object (plugin)
+wmcube: together with the current CPU load. The speed of the rotation
+wmcube: depends on the CPU load. You may choose between seven color schemes
+wmcube: including default monochrome one.
+wmcube:
+wmcube: The program includes a collection of the plugins including three
+wmcube: Slackware logos.
+wmcube:
+wmcube:
diff --git a/desktop/wmcube/wmcube.SlackBuild b/desktop/wmcube/wmcube.SlackBuild
new file mode 100644
index 0000000000..e72c2e7413
--- /dev/null
+++ b/desktop/wmcube/wmcube.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for wmcube
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=wmcube
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd wmcube
+make
+# make install
+mkdir -p $PKG/usr/bin
+cp -p wmcube $PKG/usr/bin
+cd -
+
+mkdir -p $PKG/usr/share/wmcube
+cp -p 3D-objects/* $PKG/usr/share/wmcube
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/3D-objects
+cp -p 3D-objects/* $PKG/usr/doc/$PRGNAM-$VERSION/3D-objects
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmcube/wmcube.info b/desktop/wmcube/wmcube.info
new file mode 100644
index 0000000000..d4a436098e
--- /dev/null
+++ b/desktop/wmcube/wmcube.info
@@ -0,0 +1,10 @@
+PRGNAM="wmcube"
+VERSION="1.0.0"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl/"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/wmcube-1.0.0.tar.gz"
+MD5SUM="500958eb096098135d1a10a18425721b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"